org.eclipse.aether.version

## Class InvalidVersionSpecificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.version.InvalidVersionSpecificationException

- All Implemented Interfaces:
    Serializable

      public class InvalidVersionSpecificationException
      extends RepositoryException

  Thrown when a version or version range could not be parsed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidVersionSpecificationException(String version, String message)` Creates a new exception with the specified version and detail message.
    `InvalidVersionSpecificationException(String version, String message, Throwable cause)` Creates a new exception with the specified version, detail message and cause.
    `InvalidVersionSpecificationException(String version, Throwable cause)` Creates a new exception with the specified version and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getVersion()` Gets the version or version range that could not be parsed.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidVersionSpecificationException

          public InvalidVersionSpecificationException(String version,
                                              String message)

      Creates a new exception with the specified version and detail message.
      Parameters:
        `version` - The invalid version specification, may be `null`.
        `message` - The detail message, may be `null`.

    - #### InvalidVersionSpecificationException

          public InvalidVersionSpecificationException(String version,
                                              Throwable cause)

      Creates a new exception with the specified version and cause.
      Parameters:
        `version` - The invalid version specification, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

    - #### InvalidVersionSpecificationException

          public InvalidVersionSpecificationException(String version,
                                              String message,
                                              Throwable cause)

      Creates a new exception with the specified version, detail message and cause.
      Parameters:
        `version` - The invalid version specification, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getVersion

          public String getVersion()

      Gets the version or version range that could not be parsed.
      Returns:
        The invalid version specification or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.